[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'StdCtrls' (#lcl)

# TCustomEdit.Undo

Reverts the last editing action in the control.

## Declaration

Source position: stdctrls.pp line 850

`public procedure TCustomEdit.Undo; virtual;`

## Description

Undo is a method used to revert the last editing action performed in the control. Undo is performed when the Ctrl+Z (or Meta+Z on macOS) key combination is handled for the control. Pressing Ctrl+Z causes the value in Text to revert to its value before editing. A subsequent Ctrl+Z key press causes the edited value to be toggled.

Undo calls the Undo method in the widgetset class when its handle has been allocated.